#include <stdio.h>
#include <stdlib.h>
int ds(int a[],int b[],int n,int k);
main()
{
    int n,q,t,p,i,j,r;
    scanf("%d %d",&n,&q);
    int a[n];
    int b[q];
    for(i=0;i<n;i++)
        scanf("%d",&a[i]);
    for(i=0;i<q;i++)
        scanf("%d",&b[i]);
    for (i=0; i<n-1; i++)
        {
            for (j=i+1; j<n; j++)
                {
                  if (a[i] > a[j])
                     {
                         t = a[i];
                         a[i] = a[j];
                         a[j] = t;
                    }
                }
        }
    for(int k=0;k<q;k++)
    {int x=0;
      r=n;
        if(x(a,b,n,k)==1)
          {
           for(int i=0;i<n;i++)
              {
               if(a[i]==b[k])
                 {
                     if(i==n/2)
                     r=0;
                     else
                     p=abs(n-2*i);
                     if(p<r)
                        r=p;
                 }
              }
           }
            else
            {
              for(int i=0;i<n;i++)
                    if(b[k]<a[i])
              {
                  if(n-2*i==-1)
                    r=0;
                  else
                  {
                      r=abs(n-2*i);
                  }
                  break;

              }
            }
        printf("%d\n",r);
    }
}
int ds(int a[],int b[],int n,int k)
{   
    int x=0;
    for(int i=0;i<n;i++)
        if(a[i]==b[k])
            x=1;
            return x;
}